package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DmotivazioniAlertPfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1180740045L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdMotivazioneAlertPf;

	private StringFilter codiMotivazioneAlert;

	private StringFilter descMotivazioneAlert;

	private LocalDateFilter dataUltimaModifica;

	private StringFilter flagEliminato;

	private LocalDateFilter dataFineRecord;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdMotivazioneAlertPf
	 */
	public LongFilter getSequIdMotivazioneAlertPf() {
		return this.sequIdMotivazioneAlertPf;
	}

	/**
	 * @param sequIdMotivazioneAlertPf to set
	 */
	public void setSequIdMotivazioneAlertPf(LongFilter sequIdMotivazioneAlertPf) {
		this.sequIdMotivazioneAlertPf = sequIdMotivazioneAlertPf;
	}

	/**
	 * @return the codiMotivazioneAlert
	 */
	public StringFilter getCodiMotivazioneAlert() {
		return this.codiMotivazioneAlert;
	}

	/**
	 * @param codiMotivazioneAlert to set
	 */
	public void setCodiMotivazioneAlert(StringFilter codiMotivazioneAlert) {
		this.codiMotivazioneAlert = codiMotivazioneAlert;
	}

	/**
	 * @return the descMotivazioneAlert
	 */
	public StringFilter getDescMotivazioneAlert() {
		return this.descMotivazioneAlert;
	}

	/**
	 * @param descMotivazioneAlert to set
	 */
	public void setDescMotivazioneAlert(StringFilter descMotivazioneAlert) {
		this.descMotivazioneAlert = descMotivazioneAlert;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
